B.1 Compatibility with Older MySQL or InnoDB Versions

From time to time, changes are made to the format of MySQL data and log files. These changes can make older MySQL Enterprise Backup versions incompatible with the new MySQL version.

Currently, these are the major MySQL/InnoDB versions: 3.23 (first released in May 12, 2001), 4.0 (December 23, 2001), 4.1 (April 3, 2003), 5.0 (December 24, 2003), 5.1 (November 29, 2005), and 5.5 (December 15, 2010).

MySQL Enterprise Backup 3.6 is compatible with MySQL/InnoDB version 5.0 and up.

MySQL Enterprise Backup 3.5 is compatible with MySQL/InnoDB version 5.0 and up.

IMPORTANT: Backing up tables using the Barracuda file format, which is available with the combination of MySQL and the InnoDB Plugin, requires MySQL Enterprise Backup 3.5 or newer.

For MySQL versions prior to 5.0, the corresponding backup product is the InnoDB Hot Backup product, which is the ancestor of MySQL Enterprise Backup. InnoDB Hot Backup continues to be compatible with MySQL 5.0, 5.1, and 5.5, with the exception of InnoDB tables in the Barracuda format. For compatibility information, see the InnoDB Hot Backup documentation.